> For the complete documentation index, see [llms.txt](https://docs.blockpi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockpi.io/build/api-reference/cosmos-hub/cosmos-gov-v1beta1-params-params_type.md).

# /cosmos/gov/v1beta1/params/{params\_type}

Params queries all parameters of the gov module.

#### **Parameters:**

**params\_type - string**, params\_type defines which parameters to query for, can be one of "voting",\
"tallying" or "deposit".

#### Example:

{% code overflow="wrap" %}

```json
// Request
curl -X GET -H 'Content-Type: application/json' https://cosmos.blockpi.network/lcd/v1/<your-api-key>/cosmos/gov/v1beta1/params/voting

// Result
{
    "voting_params": {
        "voting_period": "1209600s"
    },
    "deposit_params": {
        "min_deposit": [],
        "max_deposit_period": "0s"
    },
    "tally_params": {
        "quorum": "0.000000000000000000",
        "threshold": "0.000000000000000000",
        "veto_threshold": "0.000000000000000000"
    }
}
```

{% endcode %}
